%define anolis_release 1

Name:           rust-packaging
Version:        24
Release:        %{anolis_release}%{?dist}
Summary:        RPM macros and generators for building Rust packages
License:        MIT

URL:            https://pagure.io/fedora-rust/rust-packaging
Source:         %{url}/archive/%{version}/rust-packaging-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n rust-srpm-macros
Summary:        RPM macros for building Rust projects

%description -n rust-srpm-macros
RPM macros for building source packages for Rust projects.

%package -n cargo-rpm-macros
Summary:        RPM macros for building projects with cargo

# obsolete + provide rust-packaging (removed in Fedora 38)
Obsoletes:      rust-packaging < 24
Provides:       rust-packaging = %{version}-%{release}

Requires:       cargo
Requires:       cargo2rpm >= 0.1.0
Requires:       gawk

Requires:       rust-srpm-macros = %{version}-%{release}

%description -n cargo-rpm-macros
RPM macros for building projects with cargo.

%prep
%autosetup -p1

%build
# nothing to do

%install
install -D -p -m 0644 -t %{buildroot}/%{_rpmmacrodir} macros.d/macros.cargo
install -D -p -m 0644 -t %{buildroot}/%{_rpmmacrodir} macros.d/macros.rust
install -D -p -m 0644 -t %{buildroot}/%{_rpmmacrodir} macros.d/macros.rust-srpm
install -D -p -m 0644 -t %{buildroot}/%{_fileattrsdir} fileattrs/cargo.attr

%files -n rust-srpm-macros
%license LICENSE
%{_rpmmacrodir}/macros.rust
%{_rpmmacrodir}/macros.rust-srpm

%files -n cargo-rpm-macros
%license LICENSE
%{_rpmmacrodir}/macros.cargo
%{_fileattrsdir}/cargo.attr

%changelog
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 24-1
- update to 24

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1:23-2
- Rebuild with python3.11
- update Copyright date

* Tue Feb 14 2023 Funda Wang <fundawang@yeah.net> - 1:23-1
- New version 23

* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 1:21-1
- Init package from upstream
